package b4j.example;


import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.debug.*;

public class fx2 extends Object{
public static fx2 mostCurrent = new fx2();

public static BA ba;
static {
		ba = new  anywheresoftware.b4a.ShellBA("b4j.example", "b4j.example.fx2", null);
		ba.loadHtSubs(fx2.class);
        if (ba.getClass().getName().endsWith("ShellBA")) {
			
			ba.raiseEvent2(null, true, "SHELL", false);
			ba.raiseEvent2(null, true, "CREATE", true, "b4j.example.fx2", ba);
		}
	}
    public static Class<?> getObject() {
		return fx2.class;
	}

 
public static class _curs{
public boolean IsInitialized;
public Object CLOSED_HAND;
public Object CROSSHAIR;
public Object DEFAULT;
public Object DISAPPEAR;
public Object E_RESIZE;
public Object H_RESIZE;
public Object HAND;
public Object MOVE;
public Object N_RESIZE;
public Object NE_RESIZE;
public Object NONE;
public Object NW_RESIZE;
public Object OPEN_HAND;
public Object S_RESIZE;
public Object SE_RESIZE;
public Object SW_RESIZE;
public Object TEXT;
public Object V_RESIZE;
public Object W_RESIZE;
public Object WAIT;
public void Initialize() {
IsInitialized = true;
CLOSED_HAND = new Object();
CROSSHAIR = new Object();
DEFAULT = new Object();
DISAPPEAR = new Object();
E_RESIZE = new Object();
H_RESIZE = new Object();
HAND = new Object();
MOVE = new Object();
N_RESIZE = new Object();
NE_RESIZE = new Object();
NONE = new Object();
NW_RESIZE = new Object();
OPEN_HAND = new Object();
S_RESIZE = new Object();
SE_RESIZE = new Object();
SW_RESIZE = new Object();
TEXT = new Object();
V_RESIZE = new Object();
W_RESIZE = new Object();
WAIT = new Object();
}
@Override
		public String toString() {
			return BA.TypeToString(this, false);
		}}
public static anywheresoftware.b4a.keywords.Common __c = null;
public static anywheresoftware.b4j.objects.JFX _fx = null;
public static b4j.example.fx2._curs _cursors = null;
public static b4j.example.cssutils _cssutils = null;
public static b4j.example.main _main = null;
public static String  _initialize() throws Exception{
RDebugUtils.currentModule="fx2";
if (Debug.shouldDelegate(ba, "initialize"))
	return (String) Debug.delegate(ba, "initialize", null);
anywheresoftware.b4j.object.JavaObject _jo = null;
RDebugUtils.currentLine=458752;
 //BA.debugLineNum = 458752;BA.debugLine="Public Sub Initialize";
RDebugUtils.currentLine=458753;
 //BA.debugLineNum = 458753;BA.debugLine="Private jo As JavaObject";
_jo = new anywheresoftware.b4j.object.JavaObject();
RDebugUtils.currentLine=458754;
 //BA.debugLineNum = 458754;BA.debugLine="jo.InitializeStatic(\"javafx.scene.Cursor\")";
_jo.InitializeStatic("javafx.scene.Cursor");
RDebugUtils.currentLine=458755;
 //BA.debugLineNum = 458755;BA.debugLine="Cursors.CLOSED_HAND = jo.RunMethod(\"cursor\", Arra";
_cursors.CLOSED_HAND = _jo.RunMethod("cursor",new Object[]{(Object)("CLOSED_HAND")});
RDebugUtils.currentLine=458756;
 //BA.debugLineNum = 458756;BA.debugLine="Cursors.CROSSHAIR = jo.RunMethod(\"cursor\", Array";
_cursors.CROSSHAIR = _jo.RunMethod("cursor",new Object[]{(Object)("CROSSHAIR")});
RDebugUtils.currentLine=458757;
 //BA.debugLineNum = 458757;BA.debugLine="Cursors.DEFAULT = jo.RunMethod(\"cursor\", Array As";
_cursors.DEFAULT = _jo.RunMethod("cursor",new Object[]{(Object)("DEFAULT")});
RDebugUtils.currentLine=458758;
 //BA.debugLineNum = 458758;BA.debugLine="Cursors.DISAPPEAR = jo.RunMethod(\"cursor\", Array";
_cursors.DISAPPEAR = _jo.RunMethod("cursor",new Object[]{(Object)("DISAPPEAR")});
RDebugUtils.currentLine=458759;
 //BA.debugLineNum = 458759;BA.debugLine="Cursors.E_RESIZE = jo.RunMethod(\"cursor\", Array A";
_cursors.E_RESIZE = _jo.RunMethod("cursor",new Object[]{(Object)("E_RESIZE")});
RDebugUtils.currentLine=458760;
 //BA.debugLineNum = 458760;BA.debugLine="Cursors.H_RESIZE = jo.RunMethod(\"cursor\", Array A";
_cursors.H_RESIZE = _jo.RunMethod("cursor",new Object[]{(Object)("H_RESIZE")});
RDebugUtils.currentLine=458761;
 //BA.debugLineNum = 458761;BA.debugLine="Cursors.HAND = jo.RunMethod(\"cursor\", Array As Ob";
_cursors.HAND = _jo.RunMethod("cursor",new Object[]{(Object)("HAND")});
RDebugUtils.currentLine=458762;
 //BA.debugLineNum = 458762;BA.debugLine="Cursors.MOVE = jo.RunMethod(\"cursor\", Array As Ob";
_cursors.MOVE = _jo.RunMethod("cursor",new Object[]{(Object)("MOVE")});
RDebugUtils.currentLine=458763;
 //BA.debugLineNum = 458763;BA.debugLine="Cursors.N_RESIZE = jo.RunMethod(\"cursor\", Array A";
_cursors.N_RESIZE = _jo.RunMethod("cursor",new Object[]{(Object)("N_RESIZE")});
RDebugUtils.currentLine=458764;
 //BA.debugLineNum = 458764;BA.debugLine="Cursors.NE_RESIZE = jo.RunMethod(\"cursor\", Array";
_cursors.NE_RESIZE = _jo.RunMethod("cursor",new Object[]{(Object)("NE_RESIZE")});
RDebugUtils.currentLine=458765;
 //BA.debugLineNum = 458765;BA.debugLine="Cursors.NONE = jo.RunMethod(\"cursor\", Array As Ob";
_cursors.NONE = _jo.RunMethod("cursor",new Object[]{(Object)("NONE")});
RDebugUtils.currentLine=458766;
 //BA.debugLineNum = 458766;BA.debugLine="Cursors.OPEN_HAND = jo.RunMethod(\"cursor\", Array";
_cursors.OPEN_HAND = _jo.RunMethod("cursor",new Object[]{(Object)("OPEN_HAND")});
RDebugUtils.currentLine=458767;
 //BA.debugLineNum = 458767;BA.debugLine="Cursors.S_RESIZE = jo.RunMethod(\"cursor\", Array A";
_cursors.S_RESIZE = _jo.RunMethod("cursor",new Object[]{(Object)("S_RESIZE")});
RDebugUtils.currentLine=458768;
 //BA.debugLineNum = 458768;BA.debugLine="Cursors.SE_RESIZE = jo.RunMethod(\"cursor\", Array";
_cursors.SE_RESIZE = _jo.RunMethod("cursor",new Object[]{(Object)("SE_RESIZE")});
RDebugUtils.currentLine=458769;
 //BA.debugLineNum = 458769;BA.debugLine="Cursors.SW_RESIZE = jo.RunMethod(\"cursor\", Array";
_cursors.SW_RESIZE = _jo.RunMethod("cursor",new Object[]{(Object)("SW_RESIZE")});
RDebugUtils.currentLine=458770;
 //BA.debugLineNum = 458770;BA.debugLine="Cursors.TEXT = jo.RunMethod(\"cursor\", Array As Ob";
_cursors.TEXT = _jo.RunMethod("cursor",new Object[]{(Object)("TEXT")});
RDebugUtils.currentLine=458771;
 //BA.debugLineNum = 458771;BA.debugLine="Cursors.V_RESIZE = jo.RunMethod(\"cursor\", Array A";
_cursors.V_RESIZE = _jo.RunMethod("cursor",new Object[]{(Object)("V_RESIZE")});
RDebugUtils.currentLine=458772;
 //BA.debugLineNum = 458772;BA.debugLine="Cursors.W_RESIZE = jo.RunMethod(\"cursor\", Array A";
_cursors.W_RESIZE = _jo.RunMethod("cursor",new Object[]{(Object)("W_RESIZE")});
RDebugUtils.currentLine=458773;
 //BA.debugLineNum = 458773;BA.debugLine="Cursors.WAIT = jo.RunMethod(\"cursor\", Array As Ob";
_cursors.WAIT = _jo.RunMethod("cursor",new Object[]{(Object)("WAIT")});
RDebugUtils.currentLine=458774;
 //BA.debugLineNum = 458774;BA.debugLine="End Sub";
return "";
}
public static Object  _imagecursor(anywheresoftware.b4j.objects.ImageViewWrapper.ImageWrapper _cursorimage) throws Exception{
RDebugUtils.currentModule="fx2";
if (Debug.shouldDelegate(ba, "imagecursor"))
	return (Object) Debug.delegate(ba, "imagecursor", new Object[] {_cursorimage});
anywheresoftware.b4j.object.JavaObject _joimagecursor = null;
RDebugUtils.currentLine=524288;
 //BA.debugLineNum = 524288;BA.debugLine="Public Sub ImageCursor(CursorImage As Image) As Ob";
RDebugUtils.currentLine=524289;
 //BA.debugLineNum = 524289;BA.debugLine="Private joImageCursor As JavaObject";
_joimagecursor = new anywheresoftware.b4j.object.JavaObject();
RDebugUtils.currentLine=524290;
 //BA.debugLineNum = 524290;BA.debugLine="Return joImageCursor.InitializeNewInstance(\"javaf";
if (true) return (Object)(_joimagecursor.InitializeNewInstance("javafx.scene.ImageCursor",new Object[]{(Object)(_cursorimage.getObject())}).getObject());
RDebugUtils.currentLine=524291;
 //BA.debugLineNum = 524291;BA.debugLine="End Sub";
return null;
}
}